package cn.ezhizao.project.business.financialBase.service.impl;

import javax.annotation.Resource;

import cn.ezhizao.project.business.financialBase.domain.BizArchiveReceiveTicketFinished;
import cn.ezhizao.project.business.financialBase.mapper.BizArchiveReceiveTicketFinishedMapper;
import cn.ezhizao.project.business.financialBase.service.IBizArchiveReceiveTicketFinishedService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */

@Service
public class BizArchiveReceiveTicketFinishedServiceImpl extends ServiceImpl<BizArchiveReceiveTicketFinishedMapper, BizArchiveReceiveTicketFinished> implements IBizArchiveReceiveTicketFinishedService {

    @Resource
    BizArchiveReceiveTicketFinishedMapper uploadTicketFinishedDao;

    @Override
    public List<BizArchiveReceiveTicketFinished> getList(Map<String,Object> conditions) {
        return uploadTicketFinishedDao.getList(conditions);
    }

    @Override
    public List<BizArchiveReceiveTicketFinished> getListByBean(BizArchiveReceiveTicketFinished uploadTicketFinished) {
        return uploadTicketFinishedDao.getList(uploadTicketFinished);
    }

    @Override
    public int getTotal(Map<String,Object> conditions) {
        return uploadTicketFinishedDao.getTotal(conditions);
    }

    @Override
    public List<BizArchiveReceiveTicketFinished> getOldData() {
        return uploadTicketFinishedDao.getOldData();
    }
    @Override
    public int clear() {
        return uploadTicketFinishedDao.clear();
    }
}
